# ESS_ATTRSPECS_T

This structure is used by EssOtlSetAttributeSpecifications() to set attribute specifications for the outline, and by EssOtlGetAttributeSpecifications() and EssGetAttributeSpecifications() to get attribute specifications for the outline.

    typedef struct ESS_ATTRSPECS_T
    {
      ESS_USHORT_T  usGenNameBy;
      ESS_USHORT_T  usUseNameOf;
      ESS_CHAR_T    cDelimiter;
      ESS_USHORT_T  usDateFormat;
      ESS_USHORT_T  usBucketingType;
      ESS_STR_T     pszDefaultTrueString;
      ESS_STR_T     pszDefaultFalseString;
      ESS_STR_T     pszDefaultAttrCalcDimName;
      ESS_STR_T     pszDefaultSumMbrName;
      ESS_STR_T     pszDefaultCountMbrName;
      ESS_STR_T     pszDefaultAverageMbrName;
      ESS_STR_T     pszDefaultMinMbrName;
      ESS_STR_T     pszDefaultMaxMbrName;
    } ESS_ATTRSPECS_T, *ESS_PATTRSPECS_T, **ESS_PPATTRSPECS_T;

Data Type | Field | Description
ESS_USHORT_T | usGenNameBy | A constant identifier indicating whether to use the generation(s) of the zero-level member as the prefix or the suffix when generating a long name: ESS_GENNAMEBY_PREFIX (the default value) ESS_GENNAMEBY_SUFFIX
ESS_USHORT_T | usUseNameOf | A constant identifier indicating which generation(s) of the zero-level member to use when generating a long name: ESS_USENAMEOF_NONE (the default value) ESS_USENAMEOF_PARENT ESS_USENAMEOF_GRANDPARENTANDPARENT ESS_USENAMEOF_ALLANCESTORS ESS_USENAMEOF_DIMENSION
ESS_CHAR_T | cDelimiter | A constant identifier indicating the delimiter to use when generating a long name: ESS_DELIMITER_UNDERSCORE (the default value) ESS_DELIMITER_PIPE ESS_DELIMITER_CARET
ESS_USHORT_T | usDateFormat | A constant identifier indicating the format for a datetime attribute: ESS_DATEFORMAT_MMDDYYYY (the default value) ESS_DATEFORMAT_DDMMYYYY
ESS_USHORT_T | usBucketingType | A constant identifier indicating a numeric attribute's bucketing type: ESS_UPPERBOUNDINCLUSIVE (the default value) ESS_UPPERBOUNDNONINCLUSIVE ESS_LOWERBOUNDINCLUSIVE ESS_LOWERBOUNDNONINCLUSIVE
ESS_STR_T | pszDefaultTrueString | The string used with the boolean attribute to indicate TRUE. The default value is ESS_DEFAULT_TRUESTRING ("True").
ESS_STR_T | pszDefaultFalseString | The string used with the boolean attribute to indicate FALSE. The default value is ESS_DEFAULT_FALSESTRING ("False").
ESS_STR_T | pszDefaultAttrCalcDimName | The name of the attribute calculations (aggregate) dimension. The default value is ESS_DEFAULT_ATTRIBUTECALCULATIONS ("Attribute Calculations").
ESS_STR_T | pszDefaultSumMbrName | The name used with the attribute calculations (aggregate) dimension to indicate SUM. The default value is ESS_DEFAULT_SUM ("Sum").
ESS_STR_T | pszDefaultCountMbrName | The name used with the attribute calculations (aggregate) dimension to indicate COUNT. The default value is ESS_DEFAULT_COUNT ("Count").
ESS_STR_T | pszDefaultAverageMbrName | The name used with the attribute calculations (aggregate) dimension to indicate AVERAGE. The default value is ESS_DEFAULT_AVERAGE ("Average").
ESS_STR_T | pszDefaultMinMbrName | The name used with the attribute calculations (aggregate) dimension to indicate MINIMUM. The default value is ESS_DEFAULT_MIN ("Min").
ESS_STR_T | pszDefaultMaxMbrName | The name used with the attribute calculations (aggregate) dimension to indicate MAXIMUM. The default value is ESS_DEFAULT_MAX ("Max").